<?xml version="1.0" encoding="UTF-8"?>
<persistence xmlns="http://java.sun.com/xml/ns/persistence"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd"
             version="2.0">
    <persistence-unit name="PersistenceUnitAppManagerTest" transaction-type="RESOURCE_LOCAL">
        <provider>org.hibernate.jpa.HibernatePersistenceProvider</provider>
        <class>net.ihe.gazelle.common.application.action.ApplicationPreferenceManagerTest</class>
        <class>net.ihe.gazelle.common.application.action.ApplicationPreferenceManager</class>
        <class>net.ihe.gazelle.common.application.action.ApplicationPreferenceManagerImpl</class>
        <class>net.ihe.gazelle.common.model.ApplicationPreference</class>
        <properties>
            <!-- Configuring JDBC properties -->
            <property name="javax.persistence.jdbc.url" value="jdbc:h2:mem:PersistenceUnitAppManagerTest;MODE=PostgreSQL;DATABASE_TO_LOWER=TRUE"/>
            <property name="javax.persistence.jdbc.driver" value="org.h2.Driver"/>
            <!-- Hibernate properties -->
            <property name="hibernate.dialect" value="org.hibernate.dialect.H2Dialect"/>
            <property name="hibernate.hbm2ddl.auto" value="create"/>
            <property name="hibernate.format_sql" value="false"/>
            <property name="hibernate.show_sql" value="false"/>
            <property name="hibernate.connection.autocommit" value="true"/>
            <property name="hibernate.transaction.auto_close_session" value="true"/>
        </properties>
    </persistence-unit>
</persistence>